# snd_seq_ev_note_t Struct Reference
[Sequencer Event Definitions]

## Data Fields

unsigned char | channel
unsigned char | note
unsigned char | velocity
unsigned char | off_velocity
unsigned int | duration

## Detailed Description

Note event

## Field Documentation

unsigned char snd_seq_ev_note_t::channel

channel number

unsigned int snd_seq_ev_note_t::duration

duration until note-off; only for SND_SEQ_EVENT_NOTE

unsigned char snd_seq_ev_note_t::note

note

unsigned char snd_seq_ev_note_t::off_velocity

note-off velocity; only for SND_SEQ_EVENT_NOTE

unsigned char snd_seq_ev_note_t::velocity

velocity

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/seq_event.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines